Bug 101521 - Support for Sony Digital Camera (DSC-P72)
Support for Sony Digital Camera (DSC-P72)
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-08-02 10:05 EDT by Per Thomas Jahr
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-20 02:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Thomas Jahr 2003-08-02 10:05:35 EDT
From Bugzilla Helper:
User-Agent: Opera/7.11 (Linux 2.4.18-18.8.0custom i686; U)  [en]

Description of problem:
Could you add support for the Sony Digital Camera model DSC-P72 in next 
releases? The previous model (DSC-P71) worked very well. Both models supports 
the USB mass-storage-device (through scsi emulation I think). 

I've found this URL that contains a patch to support DSC-P72:




Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. No

Additional info:
Comment 1 Pete Zaitcev 2003-08-04 17:50:25 EDT
This should be advocated upstream (linux-usb-devel@lists.sourceforge.net).
Comment 2 Pete Zaitcev 2003-11-05 16:16:16 EST
In upstream 2.4.23-pre9. Not sure if FC-1 picked it though.
Comment 3 Alexandre Strube 2004-01-17 20:29:30 EST
I've just used one of those cameras on Fedora 1. It was preety simple
with gphoto2, and, with kernel 2.6 from Arjanv, just like an ordinary
usb mass storage driver. Don't know if this helps you on RH8, but just
to let you know this was fixed upstream.

Just remind that, with 2.4 kernels, you have to use "PTP" mode and it
is recognized from gphoto2. On 2.6, use it with "NORMAL" mode and
mount it as any camera.
Comment 4 Pete Zaitcev 2004-08-19 19:29:03 EDT
Can I close this now?
Comment 5 Per Thomas Jahr 2004-08-20 02:20:10 EDT
Yes, I think you can. As Alexandre Strube says it works with the 2.4 
kernel in PTP and as a normal removable disk and PTP i 2.6.

Note You need to log in before you can comment on or make changes to this bug.